Bug 283491 - flashrom can't be built at powerpc
flashrom can't be built at powerpc
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: flashrom (Show other bugs)
12
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks: F-ExcludeArch-ppc
  Show dependency treegraph
 
Reported: 2007-09-08 08:08 EDT by Peter Lemenkov
Modified: 2010-11-04 19:46 EDT (History)
0 users

See Also:
Fixed In Version: flashrom-0.9.3-0.1.svn1205.fc12
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-04 19:32:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2007-09-08 08:08:39 EDT
Description of problem:
If someone tries to build flashrom he founds lack of <sys/io.h> installed.

Version-Release number of selected component (if applicable):
0-0.1.20070830svn2753%{?dist}


How reproducible: always 


Steps to Reproduce:
1. svn -r 2753 export svn://linuxbios.org/repos/trunk/util/flashrom flashrom
2. cd flashrom
3. make
  
Actual results:
[petro@Sulaco flashrom]$ make

Checking for pciutils and zlib... found.
gcc -Os -Wall -Werror -DDISABLE_DOC    -c -o chipset_enable.o chipset_enable.c
In file included from chipset_enable.c:29:
flash.h:27:20: error: sys/io.h: No such file or directory
cc1: warnings being treated as errors
chipset_enable.c: In function ‘enable_flash_sis630’:
chipset_enable.c:49: warning: implicit declaration of function ‘outl’
chipset_enable.c:50: warning: implicit declaration of function ‘inb’
chipset_enable.c:51: warning: implicit declaration of function ‘outb’
make: *** [chipset_enable.o] Error 1
[petro@Sulaco flashrom]$ 

Expected results: successful build.
Comment 1 Bug Zapper 2008-05-13 23:12:40 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Peter Lemenkov 2009-04-14 04:42:01 EDT
It's unlikely that support for architectures, other than x86/x86_64, will be added in the near future by upstream.
Comment 3 Peter Lemenkov 2010-09-17 03:50:04 EDT
Reopening it.
Comment 4 Fedora Update System 2010-10-26 04:53:37 EDT
flashrom-0.9.3-0.1.svn1205.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/flashrom-0.9.3-0.1.svn1205.fc13
Comment 5 Fedora Update System 2010-10-26 04:53:49 EDT
flashrom-0.9.3-0.1.svn1205.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/flashrom-0.9.3-0.1.svn1205.fc12
Comment 6 Fedora Update System 2010-10-26 04:54:00 EDT
flashrom-0.9.3-0.1.svn1205.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/flashrom-0.9.3-0.1.svn1205.fc14
Comment 7 Fedora Update System 2010-10-27 18:31:27 EDT
flashrom-0.9.3-0.1.svn1205.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update flashrom'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/flashrom-0.9.3-0.1.svn1205.fc13
Comment 8 Bug Zapper 2010-11-04 08:07:36 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora Update System 2010-11-04 19:32:07 EDT
flashrom-0.9.3-0.1.svn1205.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-11-04 19:33:59 EDT
flashrom-0.9.3-0.1.svn1205.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-11-04 19:46:32 EDT
flashrom-0.9.3-0.1.svn1205.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.